[Snort-users] problems installing snort with mysql on Ubuntu server 8.04 (UNCLASSIFIED)

Alexandre Carmel-Veilleux acv at ...14447...
Tue Oct 21 17:10:29 EDT 2008


Hello,

For the record, the barnyard 0.2.0 configure script attempts to link  
libmysqlclient with -lssl which by default doesn't exist on Ubuntu.  
The error is buried in the config.log file and the visible symptom is  
therefore misleading.

"apt-get install libssl-dev" fixed this.

On Ubuntu, if libmysqlclient15-dev is installed one shouldn't have to  
specify any library/include path for it.

I have just tested this on a fresh 8.04.1 stock install.

This should take care of the major depencies:

apt-get install libmysqlclient15-dev libpcap-dev libpcre3-dev libssl-dev

Alex


On 21-Oct-08, at 15:59, Harry Hoffman <hhoffman at ...10275...> wrote:

> man, they let you use gmail at you .gov job??? wassup with that?
>
> Anyway, do you have the mysql-devel libs installed?
>
> Can you provide a list of mysql packages installed?
>
> Cheers,
> Harry
>
>
> On Tue, 2008-10-21 at 15:48 -0400, Craig wrote:
>> Classification:  UNCLASSIFIED
>> Caveats: NONE
>>
>>
>>
>> OK.  I've been working on this for two whole days.  Here's my  
>> problem in a
>> nutshell:
>>
>> Installation of barnyard with mysql fails at this point:
>>
>> checking for
>> /root/snorttemp/snort-2.8.3.1/src/win32/WIN32-Includes/mysql// 
>> mysql.h... yes
>> checking for mysql_real_connect in -lmysqlclient... no
>>
>>
>> **********************************************
>>  ERROR: unable to find mysqlclient library
>>  checked in the following places
>> **********************************************
>>
>> Lengthy history of what I've tried and done prior to this:
>>
>>
>> Prior to this I looked at several how-to's from the following  
>> locations:
>>
>> http://www.howtoforge.com/intrusion_detection_base_snort
>> http://www.snort.org/docs/setup_guides/deb-snort-howto.pdf
>> http://linux.justinhartman.com/Intrusion_Detection_using_BASE_and_Snort
>>
>> First, I installed Ubuntu Server 8.04 with LAMP and SSH server.
>> I then updated all sources and upgraded all installed packages
>> I then downloaded the latest Snort, PCRE, LIBPCAP, BASE and ADOdb.
>> To get libpcap to configure and install, I first had to run the  
>> following:
>>
>> sudo apt-get install gcc g++ libc6-dev make flex bison libpcap-dev
>>
>> After that, libpcap installed no problem.  But when I tried to  
>> install Snort
>> with the following command:
>>
>> sudo ./configure --enable-dynamicplugin --with-mysql
>>
>> it complained about not finding the mysql headers.  So I amended  
>> the command
>> to:
>>
>> sudo ./configure --enable-dynamicplugin --with-mysql
>> --with-mysql-includes=./snort-2.8.3.1/src/win32/WIN32-Includes/mysql/
>>
>> which is the directory where mysql.h was located.  Then, I got the  
>> following
>> error:
>>
>> checking for dlsym in -ldl... no
>> checking for dlsym in -lc... no
>>
>>    ERROR!  programmatic interface to dynamic link loader
>>    not found.  Cannot use dynamic plugin libraries."
>>
>> More searching found several recommendations against configuring  
>> snort with
>> mysql.  So I tried again without mysql and it worked.  Great.  So I  
>> then
>> obtained the latest version of barnyard and attempted to install  
>> that.
>>
>> But when I ran the following command:
>>
>> sudo ./configure --enable-mysql
>> -with-mysql-includes=/root/snorttemp/snort-2.8.3.1/src/win32/WIN32- 
>> Includes/
>> mysql
>>
>> I got the following error:
>>
>> checking for
>> /root/snorttemp/snort-2.8.3.1/src/win32/WIN32-Includes/mysql/ 
>> mysql.h... yes
>> checking for mysql_real_connect in -lmysqlclient... no
>>
>>
>> **********************************************
>>  ERROR: unable to find mysqlclient library
>>  checked in the following places
>> **********************************************
>>
>>
>> Any suggestions?
>>
>> Thanks.
>>
>>
>> Craig L. Bowser
>> CISSP        SANS GSEC (Gold)
>> craig.bowser1 at us dot army dot mil
>> -------------------------------
>> If you wish to be a success in the world, promise everything, deliver
>> nothing. - Napoleon Bonaparte
>> Classification:  UNCLASSIFIED
>> Caveats: NONE
>>
>>
>>
>> --- 
>> --- 
>> -------------------------------------------------------------------
>> This SF.Net email is sponsored by the Moblin Your Move Developer's  
>> challenge
>> Build the coolest Linux based applications with Moblin SDK & win  
>> great prizes
>> Grand prize is a trip for two to an Open Source event anywhere in  
>> the world
>> http://moblin-contest.org/redirect.php?banner_id=100&url=/
>> _______________________________________________
>> Snort-users mailing list
>> Snort-users at lists.sourceforge.net
>> Go to this URL to change user options or unsubscribe:
>> https://lists.sourceforge.net/lists/listinfo/snort-users
>> Snort-users list archive:
>> http://www.geocrawler.com/redir-sf.php3?list=snort-users
>
>
> --- 
> ----------------------------------------------------------------------
> This SF.Net email is sponsored by the Moblin Your Move Developer's  
> challenge
> Build the coolest Linux based applications with Moblin SDK & win  
> great prizes
> Grand prize is a trip for two to an Open Source event anywhere in  
> the world
> http://moblin-contest.org/redirect.php?banner_id=100&url=/
> _______________________________________________
> Snort-users mailing list
> Snort-users at lists.sourceforge.net
> Go to this URL to change user options or unsubscribe:
> https://lists.sourceforge.net/lists/listinfo/snort-users
> Snort-users list archive:
> http://www.geocrawler.com/redir-sf.php3?list=snort-users




More information about the Snort-users mailing list